Summary:	OpenShot - Non-Linear Video Editor for Linux
Summary(pl.UTF-8):	OpenShot - nieliniowy edytor filmów dla Linuksa
Name:		openshot
Version:	3.2.1
Release:	3
License:	GPL v3
Group:		X11/Applications
Source0:	https://github.com/OpenShot/openshot-qt/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	081b1aedfbb1e0a9812653f4c7586d67
Patch0:		noarch-dir.patch
URL:		http://www.openshot.org/
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires(post,postun):	shared-mime-info
Requires:	python3-PyQt5
Requires:	python3-PyQt5-uic
Requires:	python3-httplib2
Requires:	python3-libopenshot >= 0.3.3
Requires:	python3-zmq
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenShot Video Editor is a free, open-source, non-linear video editor.
It can create and edit videos and movies using many popular video,
audio, and image formats. Create videos for YouTube, Flickr, Vimeo,
Metacafe, iPod, Xbox, and many more common formats!

Features include:
 - Multiple tracks (layers) Compositing, image overlays, and watermarks
 - Support for image sequences (rotoscoping) Key-frame animation Video
 - and audio effects (chroma-key) Transitions (lumas and masks)

%description -l pl.UTF-8
OpenShot Video Editor to wolnodostępny, mający otwarte źródła,
nieliniowy edytor filmów. Potrafi tworzyć i modyfikować filmy z
wykorzystaniem wielu popularnych formatów obrazu i dźwięku. Przy jego
użyciu można tworzyć filmy do serwisów YouTube, Flickr, Vimeo,
Metacafe, urządzeń iPod i Xbox i wielu innych.

Możliwości obejmują:
 - składanie wielu ścieżek (warstw), nakładanie obrazu oraz znaki wodne
 - obsługę sekwencji obrazów w film animowany
 - efekty dźwiękowe i przejścia

%prep
%setup -q -n %{name}-qt-%{version}
%patch -P 0 -p1

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%postun
%update_mime_database

%files
%defattr(644,root,root,755)
%doc AUTHORS.md README.md
%attr(755,root,root) %{_bindir}/openshot-qt
%{_pixmapsdir}/openshot-qt.svg
%{py3_sitescriptdir}/openshot_qt
%{py3_sitescriptdir}/openshot*.egg-info
%{_datadir}/mime/packages/openshot-qt
%{_desktopdir}/org.openshot.OpenShot.desktop
%{_iconsdir}/hicolor/*x*/apps/openshot-qt.png
%{_iconsdir}/hicolor/scalable/apps/openshot-qt.svg
%{_iconsdir}/hicolor/scalable/mimetypes/openshot-qt-doc.svg
%{_datadir}/metainfo/org.openshot.OpenShot.appdata.xml
%{_datadir}/mime/packages/org.openshot.OpenShot.xml
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openshot.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> d5b0923
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 6c5dfbb
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 85b82c8
- python 3.13 rebuild

* Sun Sep 01 2024 Jan Rękorajski <baggins@pld-linux.org> 0fe789e
- up to 3.2.1

* Tue Feb 18 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> f7eda02
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 16997a7
- BR: python3-setuptools
- pl
- dropped obsolete scrollkeeper

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f7ea6e0
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 250ca20
- up to 2.4.2

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 98bc31b
- release 2 (by relup.sh)

* Sun Apr 29 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 63912b4
- up to 2.4.1

* Tue Sep 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> cc5037e
- up to 2.4.0

* Thu May 11 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f1e714f
- up to 2.3.2

* Sun May 07 2017 Jan Rękorajski <baggins@pld-linux.org> 78365c2
- up to 2.3.1
- updated requires

* Fri Mar 31 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 77dee4b
- up to 2.3.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 78431a9
- python 3.6
- release 2 (by relup.sh)

* Wed Nov 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 20fe2d2
- and delete obsolete patches

* Wed Nov 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c923606
- up to 2.1.0

* Mon Sep 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f9c1857
- rel 8; try to use CRF 18 - https://trac.ffmpeg.org/wiki/Encode/YouTube

* Sun Apr 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d830d42
- rel 7; timeline zoom fix from upstream

* Sun Apr 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 070c5f2
- rel 6; keep py files as these are sometimes needed (IOError: [Errno 2] Nie ma takiego pliku ani katalogu: u'/usr/share/python2.7/site-packages/openshot/blender/scripts/blur.py)

